SystemOrganization addCategory: #'Orange-AngularJS'!

ALAsyncExample subclass: #ORAJSAuthComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSAuthComponent commentStamp: 'chc 6/22/2015 14:43' prior: 0!
Used by ORExamplePage where it is added to initialize to add an AngularJS Javascript example.

!

!ORAJSAuthComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/10/2015 14:18'!
libraryScript
	^'angular.module(''notesApp'', [])
		.controller(''MainCtrl'', [''$http'',function($http) {
			var self = this;
			self.change = function () {
				self.username = ''changed'';
				self.password = ''password'';
				};
			self.submit = function () {
				$http.post( ''/json'',
				{ "username" :  self.username, 
				   "password" : self.password}
							).success(function(data) {
								self.sharkweek = data;}
							);
					};	
		}]);'! !

!ORAJSAuthComponent methodsFor: 'as yet unclassified' stamp: 'chc 7/10/2015 14:47'!
renderContentOn: html
	html input beTypeText; ngModel: 'ctrl.username'.
	html input beTypePassword; ngModel: 'ctrl.password'.
	html button ngClick: 'ctrl.change()'; with: 'Change Values'.
	html button ngClick: 'ctrl.submit()'; with: 'Submit'.
	html br.
	html span ngBind: 'ctrl.sharkweek'.
	self renderScriptsOn: html! !

!ORAJSAuthComponent methodsFor: 'as yet unclassified' stamp: 'chc 12/31/2014 13:41'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/angularjs/1.2.19/angular.js'.
	html script
		type: 'application/javascript';
		with: [html raw: self libraryScript].
	"html script
		type: 'application/javascript';
		with: [self renderInitScriptOn: html]"! !

ALAsyncExample subclass: #ORAJSHelloModule
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloModule commentStamp: '<historical>' prior: 0!
Used by ORExamplePage where it is added to initialize to add an AngularJS Javascript example.

!

!ORAJSHelloModule methodsFor: 'as yet unclassified' stamp: 'chc 7/13/2015 14:58'!
renderContentOn: html
	html p: 'Hello'.
	html span ngBind: '1 + 1'.
	html p: 'time AngularJS'.
	self renderScriptsOn: html! !

!ORAJSHelloModule methodsFor: 'as yet unclassified' stamp: 'chc 7/13/2015 14:50'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/angularjs/1.2.19/angular.js'.
	! !

ALAsyncExample subclass: #ORAJSHelloWorld
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloWorld commentStamp: '<historical>' prior: 0!
Used by ORExamplePage where it is added to initialize to add an AngularJS Javascript example.

!

!ORAJSHelloWorld methodsFor: 'as yet unclassified' stamp: 'chc 7/13/2015 14:17'!
renderContentOn: html
	html p: 'Enter your name: '.
	html input beTypeText; ngModel: 'name'.
	html br.
	html span ngBind: 'name'.
	self renderScriptsOn: html! !

!ORAJSHelloWorld methodsFor: 'as yet unclassified' stamp: 'chc 7/11/2015 11:41'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/angularjs/1.2.19/angular.js'.
	! !

ALComponentResource subclass: #ORAJSAuthResource
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSAuthResource commentStamp: 'chc 6/22/2015 14:51' prior: 0!
Catches a username and password sent as JSON by a compoment like ORAngularJS. !

!ORAJSAuthResource methodsFor: 'as yet unclassified' stamp: 'chc 7/6/2015 11:55'!
authorized: result locator: aLocator
	| root cookie url |
	root := component rematerialize.
	"[root noteDispatch]
		on: ALUserStipulation
		do: [:stipulation | stipulation component auth: true ]."
	url := aLocator urlForResource: root asResource.
	cookie := ALCookie name: 'auth' value: result token.
	cookie path: '/'.
	^ (ALResponse seeOther: url)
		setCookie: cookie;
		"date: DateAndTime now;
		keepAlive: 'timeout=10, max=20';"
		yourself! !

!ORAJSAuthResource methodsFor: 'as yet unclassified' stamp: 'chc 3/11/2015 14:17'!
denied
	^ ALResponse status: 401 reason: 'Authentication failed'! !

!ORAJSAuthResource methodsFor: 'as yet unclassified' stamp: 'chc 7/6/2015 11:56'!
handleGet: aRequest locator: aLocator
	| request result authstring |
self halt.
	(aRequest authorization isNil)
		ifTrue: [^self respondWithChallenge]
		ifFalse: [
	authstring := (aRequest authorization copyAfter: Character space) base64Decoded.
	request := ALAuthenticationRequest withUsername:  (authstring copyUpTo: $:)   password: (authstring copyAfter: $:).
	result := request signal].
	^(result notNil and: [result isSuccess])
		ifTrue: [self authorized: result locator: aLocator]
		ifFalse: [ self denied ]
			! !

!ORAJSAuthResource methodsFor: 'as yet unclassified' stamp: 'chc 7/9/2015 13:26'!
handlePost: aRequest locator: aLocator
	| request result |
	request := ALAuthenticationRequest new.
	aRequest readEntityWith: 
		[:in | ALJsonParser  parse: in for: request].
	result := request signal.
	^ (result notNil and: [result isSuccess])
		ifTrue: [self authorized: result locator: aLocator]
		ifFalse: [self denied]! !

Object subclass: #ORAJSHelloModuleExamplePage
	instanceVariableNames: 'examples current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloModuleExamplePage commentStamp: '<historical>' prior: 0!
A modified version of ALExamplePage used by ORExampleApplication. Uses ORAngularJS and ORForm!

!ORAJSHelloModuleExamplePage methodsFor: 'converting' stamp: 'chc 7/13/2015 14:46'!
asResource
	^ ALExampleResource component: self! !

!ORAJSHelloModuleExamplePage methodsFor: 'initialize-release' stamp: 'chc 7/13/2015 14:55'!
initialize
	examples := {
		'hellomodule' -> ORAJSHelloModule
	}.
	current := examples first value new.! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:46'!
renderBodyOn: html
	html div
		class: 'navbar';
		with: [self renderNavBarOn: html].
	html div
		class: 'example';
		with: [current renderOn: html]! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:53'!
renderHtmlOn: html
	html html ngApp: 'notesApp'; with: 
		[	html head: 
			[html title: 'Altitude Examples'.
			self renderStylesOn: html].
		html body with: [ self renderBodyOn: html ] ]
						! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:46'!
renderJsonOn: json
	current renderJsonOn: json! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:46'!
renderNavBarOn: html
	html ul:
		[examples do:
			[:pair |
			html li:
				[html a
					navigate: [current := pair value new];
					with: pair key]]].! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:46'!
renderStylesOn: html
	html style: [html text: self style].
	current renderStyleOn: html! !

!ORAJSHelloModuleExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:46'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !

Object subclass: #ORAJSHelloWorldExamplePage
	instanceVariableNames: 'examples current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-AngularJS'!

!ORAJSHelloWorldExamplePage commentStamp: '<historical>' prior: 0!
A modified version of ALExamplePage used by ORExampleApplication. Uses ORAngularJS and ORForm!

!ORAJSHelloWorldExamplePage methodsFor: 'converting' stamp: 'chc 7/13/2015 14:11'!
asResource
	^ ALExampleResource component: self! !

!ORAJSHelloWorldExamplePage methodsFor: 'initialize-release' stamp: 'chc 7/13/2015 14:15'!
initialize
	examples := {
		'helloangular' -> ORAJSHelloWorld
	}.
	current := examples first value new.! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:11'!
renderBodyOn: html
	html div
		class: 'navbar';
		with: [self renderNavBarOn: html].
	html div
		class: 'example';
		with: [current renderOn: html]! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:18'!
renderHtmlOn: html
		html head: 
			[html title: 'Altitude Examples'.
			self renderStylesOn: html].
		html body ngApp; with: [ self renderBodyOn: html ]
						! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:11'!
renderJsonOn: json
	current renderJsonOn: json! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:11'!
renderNavBarOn: html
	html ul:
		[examples do:
			[:pair |
			html li:
				[html a
					navigate: [current := pair value new];
					with: pair key]]].! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:11'!
renderStylesOn: html
	html style: [html text: self style].
	current renderStyleOn: html! !

!ORAJSHelloWorldExamplePage methodsFor: 'rendering' stamp: 'chc 7/13/2015 14:11'!
style
	^ '
div.navbar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 200px;
}

div.navbar li {
    list-style-type: none;
}

div.navbar a {
    text-decoration: none;
}

div.example {
    position: absolute;
    top: 0;
    right: 0;
    left: 200px;
    bottom: 0;
}

.example h1 {
  font-size: 36px;
}
'! !
